import wx
from wx.adv import Wizard, WizardPageSimple

class TitlePage(WizardPageSimple):

    def __init__(self, parent, title):
        WizardPageSimple.__init__(self, parent)

        sizer = wx.BoxSizer(wx.VERTICAL)
        self.SetSizer(sizer)

        title = wx.StaticText(self, wx.ID_ANY, title)
        title.SetFont(wx.Font(18, wx.SWISS, wx.NORMAL, wx.BOLD))
        sizer.Add(title, 0, wx.ALIGN_CENTER|wx.ALL, 5)
        sizer.Add(wx.StaticLine(self, wx.ID_ANY), 0, wx.EXPAND|wx.ALL, 5)


def main():
    wizard = Wizard(None, wx.ID_ANY, "Simple Wizard")
    page1 = TitlePage(wizard, "Page 1")
    page2 = TitlePage(wizard, "Page 2")
    page3 = TitlePage(wizard, "Page 3")

    WizardPageSimple.Chain(page1, page2)
    WizardPageSimple.Chain(page2, page3)
    wizard.FitToPage(page1)

    wizard.RunWizard(page1)
    wizard.Destroy()

if __name__ == "__main__":
    app = wx.App()
    main()
    app.MainLoop()